Package ch.qos.logback.core.pattern.util

# Class RestrictedEscapeUtil

java.lang.Object
ch.qos.logback.core.pattern.util.RestrictedEscapeUtil

All Implemented Interfaces:
  `IEscapeUtil`

Direct Known Subclasses:
  `AlmostAsIsEscapeUtil`

public class RestrictedEscapeUtil extends Object implements IEscapeUtil
This implementation is intended for use in PatternLayout.

Author:
  Ceki Gülcü

## Constructor Summary

Constructors
Constructor
Description
`RestrictedEscapeUtil()`

## Method Summary

Modifier and Type
Method
Description
`void`
`escape(String escapeChars, StringBuffer buf, char next, int pointer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RestrictedEscapeUtil

public RestrictedEscapeUtil()

## Method Details

### escape

public void escape(String escapeChars, StringBuffer buf, char next, int pointer)

Specified by:
  `escape` in interface `IEscapeUtil`